Debian Bug report logs - #660139
multicat: FTBFS(!linux)

version graph

Package: src:multicat; Maintainer for src:multicat is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Thu, 16 Feb 2012 19:30:01 UTC

Severity: important

Tags: sid, upstream, wheezy

Found in versions multicat/2.0-2, multicat/2.0-1

Fixed in version 2.0-3

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Christophe Massiot <massiot@via.ecp.fr>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660139; Package src:multicat. (Thu, 16 Feb 2012 19:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 16 Feb 2012 19:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: multicat: FTBFS(!linux)
Date: Thu, 16 Feb 2012 20:26:51 +0100
Package: src:multicat
Version: 2.0-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

make[1]: Entering directory `/build/buildd-multicat_2.0-1-kfreebsd-amd64-XOV1cZ/multicat-2.0'
cc -Wall -Wformat-security -O3 -fomit-frame-pointer -D_FILE_OFFSET_BITS=64 -D_ISOC99_SOURCE -D_BSD_SOURCE -g   -c -o multicat.o multicat.c
multicat.c: In function 'Poll':
multicat.c:122:37: error: 'POLLRDHUP' undeclared (first use in this function)
multicat.c:122:37: note: each undeclared identifier is reported only once for each function it appears in
make[1]: *** [multicat.o] Error 1
make[1]: Leaving directory `/build/buildd-multicat_2.0-1-kfreebsd-amd64-XOV1cZ/multicat-2.0'
dh_auto_build: make -j1 returned exit code 2

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=multicat&arch=kfreebsd-amd64&ver=2.0-1&stamp=1329322082

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660139; Package src:multicat. (Sat, 18 Feb 2012 08:51:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 18 Feb 2012 08:51:17 GMT) Full text and rfc822 format available.

Message #10 received at 660139@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Christophe Massiot <massiot@via.ecp.fr>
Cc: 660139@bugs.debian.org
Subject: Multicat fails to build on non-Linux architectures
Date: Sat, 18 Feb 2012 09:25:35 +0100
Hi Christophe,

multicat 2.0 failed to build on all Debian non-Linux architectures,
you may find more information at [1].
Would you help us in solving this?

Thanks in advance for any reply, cheers!

[1] https://buildd.debian.org/status/package.php?p=multicat

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Added tag(s) upstream. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Sat, 18 Feb 2012 08:51:23 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'Christophe Massiot <massiot@via.ecp.fr>'. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Sat, 18 Feb 2012 08:51:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660139; Package src:multicat. (Tue, 21 Feb 2012 22:16:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Massiot <massiot@via.ecp.fr>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 21 Feb 2012 22:16:19 GMT) Full text and rfc822 format available.

Message #19 received at 660139@bugs.debian.org (full text, mbox):

From: Christophe Massiot <massiot@via.ecp.fr>
To: Alessio Treglia <alessio@debian.org>
Cc: 660139@bugs.debian.org
Subject: Re: Multicat fails to build on non-Linux architectures
Date: Tue, 21 Feb 2012 22:51:33 +0100
Hello,

Le 18 févr. 2012 à 09:25, Alessio Treglia a écrit :

> multicat 2.0 failed to build on all Debian non-Linux architectures,
> you may find more information at [1].
> Would you help us in solving this?


Considering the error message, I guess the simplest would be to add
#ifndef POLLRDHUP
#define POLLRDHUP 0
#endif

after #include <poll.h> in multicat.c. But I guess you would need a new upstream release?



Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 22 Feb 2012 11:42:29 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Wed, 22 Feb 2012 11:51:05 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Wed, 22 Feb 2012 11:51:11 GMT) Full text and rfc822 format available.

Message #26 received at 660139-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 660139-close@bugs.debian.org
Subject: Bug#660139: fixed in multicat 2.0-2
Date: Wed, 22 Feb 2012 11:47:46 +0000
Source: multicat
Source-Version: 2.0-2

We believe that the bug you reported is fixed in the latest version of
multicat, which is due to be installed in the Debian FTP archive:

multicat_2.0-2.debian.tar.gz
  to main/m/multicat/multicat_2.0-2.debian.tar.gz
multicat_2.0-2.dsc
  to main/m/multicat/multicat_2.0-2.dsc
multicat_2.0-2_amd64.deb
  to main/m/multicat/multicat_2.0-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660139@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated multicat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 22 Feb 2012 12:38:08 +0100
Source: multicat
Binary: multicat
Architecture: source amd64
Version: 2.0-2
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 multicat   - Set of tools for multicast and transport stream manipulation
Closes: 660139
Changes: 
 multicat (2.0-2) unstable; urgency=low
 .
   * Attempt to fix FTBFS on non-Linux architectures by defining
     POLLRDHUP as 0 on kfreebsd,hurd. (Closes: #660139)
Checksums-Sha1: 
 e53c1d38f9a75968d294d8e57dfc9c54ec56f45f 1986 multicat_2.0-2.dsc
 4178beece0efe28703170d7d5f19879e4566efc8 4331 multicat_2.0-2.debian.tar.gz
 86a3d62aa78c96f1c5775d766bc3fe6e7d2ada08 50642 multicat_2.0-2_amd64.deb
Checksums-Sha256: 
 c6657e1cddef828e3f9f5afd2ed2035ee03dd92ed09b938949595147b5808e7e 1986 multicat_2.0-2.dsc
 2a38d0f5e03f65e94e6117eb1ac4e39bfd223a3b06f963b25ebf865f1b540674 4331 multicat_2.0-2.debian.tar.gz
 5a59e9145b152bbfe5aafdc45e487b00a8e329aeb0683c48f763cfa8ad52ec81 50642 multicat_2.0-2_amd64.deb
Files: 
 5e33ced0b46dcdd8a09d784ef8a9e77f 1986 video optional multicat_2.0-2.dsc
 b77239be0b71300cfbb6e88360561418 4331 video optional multicat_2.0-2.debian.tar.gz
 38d8952ec17ceb3ba44e6c70b366dd40 50642 video optional multicat_2.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPRNSvAAoJEOikiuUxHXZa9i8QAJxbgVWQO1Ih0v1oREAI/aA7
QleQyHiXm5sQnzfU4mkCGl5Fq+gtQA2tjhXFNCqWF0R/voXI8iI3DufGh9Ix+xYm
h2Arks0N/FzgUNk8jNYn6d0riG/naKiBTMPcRiDllw8dPy5yYL/cQH/qHpeitKzz
94NPK5OnT3A3nK94vHn2alimi5imEut1A4+c6wJtX60Dofky7MVL7EQM7uBr+bw9
FlUaI7xBLhE8AFQQnvA2cpMnKx+Hr/ApZoO0Ynmy1xv8WDhwEWHglpPGYqa4SSpe
8tBuzSF1yS0qezhYdYtY2bHEFUnghYU3yacfelz7aZOtalWeqPVFXSVaN2zxJwp7
zDClAW7XLXxjAcppvp/bfPeQ4WsQ+yw/iJPhN0BQvgtdBBLyC212mVDIA+4auqA3
2YQJM7xNmdtmtv8IcbX8JWOhdgHY4ITSa8KWyQ4lZCUJ/pr+5cJ1Y6n4Gf6LIr8c
BAvK4EdeO0bldpTdBjcdA1tOmtwomy4sG8CG5a3OijKmpy9eesC4bW70M9HcOvFt
YQSfqWl1OLWHXS6Elc7AYHkKP6jJFwN/jJoVTAxmGHm+LT1Ba3kDnN9QCISBgp2I
lJU5mg/PkYI++CIJNDSddcUtG3ITfrU9848K6xl7ATqoP5tBOV56zY7DiWV3Fnc4
dTO+Bjbva1ZpdsZgrVvb
=sg0T
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions multicat/2.0-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Feb 2012 13:10:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions multicat/2.0-2. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 22 Feb 2012 13:10:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660139; Package src:multicat. (Wed, 22 Feb 2012 13:10:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 22 Feb 2012 13:10:47 GMT) Full text and rfc822 format available.

Message #35 received at 660139@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Christophe Massiot <massiot@via.ecp.fr>
Cc: 660139@bugs.debian.org
Subject: Re: Multicat fails to build on non-Linux architectures
Date: Wed, 22 Feb 2012 14:09:53 +0100
On Tue, Feb 21, 2012 at 10:51 PM, Christophe Massiot <massiot@via.ecp.fr> wrote:
> Considering the error message, I guess the simplest would be to add
> #ifndef POLLRDHUP
> #define POLLRDHUP 0
> #endif

Unfortunately that wasn't enough, multicat still fails to build
on non-Linux archs, full buildlogs are available here:
  https://buildd.debian.org/status/package.php?p=multicat

Regards.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660139; Package src:multicat. (Thu, 23 Feb 2012 18:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Massiot <massiot@via.ecp.fr>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 23 Feb 2012 18:15:10 GMT) Full text and rfc822 format available.

Message #40 received at 660139@bugs.debian.org (full text, mbox):

From: Christophe Massiot <massiot@via.ecp.fr>
To: Alessio Treglia <alessio@debian.org>
Cc: 660139@bugs.debian.org
Subject: Re: Multicat fails to build on non-Linux architectures
Date: Thu, 23 Feb 2012 19:13:57 +0100
[Message part 1 (text/plain, inline)]
Le 22 févr. 2012 à 14:09, Alessio Treglia a écrit :

> On Tue, Feb 21, 2012 at 10:51 PM, Christophe Massiot <massiot@via.ecp.fr> wrote:
>> Considering the error message, I guess the simplest would be to add
>> #ifndef POLLRDHUP
>> #define POLLRDHUP 0
>> #endif
> 
> Unfortunately that wasn't enough, multicat still fails to build
> on non-Linux archs, full buildlogs are available here:
>  https://buildd.debian.org/status/package.php?p=multicat

These functions use Linux-specific network APIs which have no equivalent on other OS's. The best is to #ifdef them as proposed in the attached patch.
[multicat.patch.gz (application/x-gzip, attachment)]

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 27 Apr 2012 12:54:18 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 27 Apr 2012 13:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660139; Package src:multicat. (Fri, 27 Apr 2012 13:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 27 Apr 2012 13:15:08 GMT) Full text and rfc822 format available.

Message #49 received at 660139@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: massiot@via.ecp.fr
Cc: 660139@bugs.debian.org
Subject: Fwd: 660139@bugs.debian.org
Date: Fri, 27 Apr 2012 15:10:24 +0200
[Message part 1 (text/plain, inline)]
I've filled CC wrongly, so resending this with a proper CC field set.
Sorry for the inconvenience.


---------- Forwarded message ----------
From: Alessio Treglia <alessio@debian.org>
Date: Fri, Apr 27, 2012 at 2:59 PM
Subject: 660139@bugs.debian.org
To: massiot@via.ecp.fr


Hi Christophe,

thanks for your patch.
Unfortunately the package seems to fail to build on kFreeBSD again:

> make[1]: Entering directory `/tmp/buildd/multicat-2.0'
> cc -Wall -Wformat-security -O3 -fomit-frame-pointer -D_FILE_OFFSET_BITS=64 -D_ISOC99_SOURCE -D_BSD_SOURCE -g   -c -o multicat.o multicat.c
> cc -Wall -Wformat-security -O3 -fomit-frame-pointer -D_FILE_OFFSET_BITS=64 -D_ISOC99_SOURCE -D_BSD_SOURCE -g   -c -o util.o util.c
> util.c: In function 'GetInterfaceIndex':
> util.c:238:15: error: 'struct ifreq' has no member named 'ifr_ifindex'
> util.c: In function 'OpenSocket':
> util.c:600:33: error: storage size of 'imr' isn't known
> util.c:606:55: error: invalid application of 'sizeof' to incomplete type 'struct ip_mreqn'
> util.c:600:33: warning: unused variable 'imr' [-Wunused-variable]
> util.c: In function 'GetInterfaceIndex':
> util.c:242:1: warning: control reaches end of non-void function [-Wreturn-type]
> make[1]: *** [util.o] Error 1
> make[1]: Leaving directory `/tmp/buildd/multicat-2.0'
> dh_auto_build: make -j1 returned exit code 2
> make: *** [build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2


Regards,


-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660139; Package src:multicat. (Mon, 30 Apr 2012 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 30 Apr 2012 00:57:03 GMT) Full text and rfc822 format available.

Message #54 received at 660139@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 660139@bugs.debian.org
Subject: Setting severity to 'important'
Date: Mon, 30 Apr 2012 02:55:13 +0200
Hi,

I'm setting this as severity: important because it isn't built on
non-linux architectures for now.
kfreebsd,hurd buildds will be re-enabled as soon as we have a solution.

Cheers,

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Severity set to 'important' from 'serious' Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Mon, 30 Apr 2012 00:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660139; Package src:multicat. (Tue, 01 May 2012 14:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 01 May 2012 14:06:08 GMT) Full text and rfc822 format available.

Message #61 received at 660139@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 660139@bugs.debian.org
Subject: multicat
Date: Tue, 01 May 2012 16:05:41 +0200
Please also remove the (now outdated) binaries from the archive as well
in this case (iirc bug against ftp.debian.org)

Regards

    Christoph
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Wed, 02 May 2012 08:03:03 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Wed, 02 May 2012 08:03:03 GMT) Full text and rfc822 format available.

Message #66 received at 660139-done@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 660139-done@bugs.debian.org
Subject: Closing #660139
Date: Wed, 2 May 2012 09:59:26 +0200
[Message part 1 (text/plain, inline)]
Version: 2.0-3

Hi,

multicat won't build on non-Linux architectures anymore, so
closing this for now.

Regards.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jun 2012 07:38:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:51:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.